.image-remove {
  position: absolute;
  top: -9px;
  right: -4px;
  font-size: 29px;
  cursor: pointer;
}

.download_btn{
  position: absolute;
  bottom: 10px;
  right: 5px;
}


.loader_bg{
    height: 100%;
    position: absolute;
    top: 0;
    background-color: rgba(255,255,255,0.5);
    z-index: 1;
    display: none;
  }
  
  .loader {
    width:150px;
    height:150px;
    display:inline-block;
    padding:0px;
    text-align:left;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
  }
  .loader span {
    position:absolute;
    display:inline-block;
    width:150px;
    height:150px;
    border-radius:100%;
    background:rgba(var(--bs-primary-rgb),1);
    -webkit-animation:loader3 1.5s linear infinite;
    animation:loader3 1.5s linear infinite;
  }
  .loader span:last-child {
    animation-delay:-0.9s;
    -webkit-animation-delay:-0.9s;
  }
  @keyframes loader3 {
    0% {transform: scale(0, 0);opacity:0.8;}
    100% {transform: scale(1, 1);opacity:0;}
  }
  @-webkit-keyframes loader3 {
    0% {-webkit-transform: scale(0, 0);opacity:0.8;}
    100% {-webkit-transform: scale(1, 1);opacity:0;}
  }


.msg_loader {
    text-align: center;   
    position: absolute;
    top: -34px;
    left: 50%;
    transform: translateX(-50%); 
    display: none;
}
.msg_loader span {
    display: inline-block;
    vertical-align: middle;
    width: 10px;
    height: 10px;
    margin: 50px auto;
    background: grey;
    border-radius: 50px;
    -webkit-animation: msg_loader 0.5s infinite alternate;
    -moz-animation: msg_loader 0.5s infinite alternate;
}
.msg_loader span:nth-of-type(2) {
    -webkit-animation-delay: 0.2s;
    -moz-animation-delay: 0.2s;
}
.msg_loader span:nth-of-type(3) {
    -webkit-animation-delay: 0.3s;
    -moz-animation-delay: 0.3s;
}
@-webkit-keyframes msg_loader {
  0% {
  
    height: 10px;
    opacity: 0.9;
    -webkit-transform: translateY(0);
  }
  100% {

    opacity: 0.3;
    -webkit-transform: translateY(-11px);
  }
}
@-moz-keyframes loader {
  0% {
    width: 10px;
    height: 10px;
    opacity: 0.9;
    -moz-transform: translateY(0);
  }
  100% {
    width: 24px;
    height: 24px;
    opacity: 0.3;
    -moz-transform: translateY(-11px);
  }
}


  .contact_id, .contactId, .contact_email, .contact_location, .contact_favourite, .group_id, .contact_profile, .contact_addbtn, #contact_name_edit, #voiceClipBoard{
    display: none;
  }

  .copyclipboard-alert{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform:translateX(-50%);
}

.file_Upload{
  background-color:#fff;
  padding: 16px 24px;
}
.replyCard, .file_Upload{
  position: absolute;
  left: 0;
  right: 0;
  overflow: hidden;
  opacity: 0;
  bottom: 0;
  transition: all 0.4s;
}

.chat-input-section .show {
  display: block;
}

.file_Upload.show, .replyCard.show {
  -webkit-transform: translateY(-92px);
  transform: translateY(-92px);
  opacity: 1;
}

.file_Upload .card {
  margin-bottom: 0;
  border-color: rgba(78,172,109,1)!important;
}

.loader_btn {
  display: flex;
  align-items: center;
  font-size: 14px;
  border: none;
  background-color: #1d3557;
  color: #f1faee;
  padding: 0.2rem 0.6rem;
  border-radius: 2rem;
  cursor: pointer;
  transition: 0.3s ease;
  box-shadow: 0 1rem 2rem -1rem rgba(0, 0, 0, 0.445);
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%); 
  display: none;
}

.loader_btn:hover {
  background-color: #003049;
  color: #eae2b7;
  box-shadow: 0 1rem 1rem -1rem rgba(0, 0, 0, 0.445);
}

.btn__text {
  margin-left: 0.8rem;
}

.spinner {
  width: 1.2rem;
  height: 1.2rem;
  display: inline-block;
  border: 3px solid #dddf00;
  border-top-color: transparent;
  border-bottom-color: transparent;
  border-radius: 50%;
  animation: spin 1s infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0);
  }
  50% {
    transform: rotate(180deg);
    border-top-color: #fcab41;
    border-bottom-color: #80ffdb;
    border-right-color: transparent;
    border-left-color: transparent;
  }
  100% {
    transform: rotate(360deg);
  }
}

#map{
  height: 400px;
  width: 100%;
}

.gmaps, .gmaps-panaroma {
  width: 400px;
  height: 300px;
  background: #f8f9fa;
  border-radius: 3px;
}

.replyMaps {
  width:250px;
  height:200px;
}

/* .chat-content {
  display: none !important;
} */

#local-video {
  border-radius: 16px;
  max-width: 20%;
  max-height: 20%;
  background: #ffffff;
}
#remote-video{
  width: 100%;
}

.gap-3 i{
  font-size: 18px;
}

.videocallModal .modal-content{
  min-height: auto;
}


.audio-player {
  height: 50px;
  width: 350px;
  background: #444;
  box-shadow: 0 0 20px 0 #000 a;
  font-family: arial;
  color: white;
  font-size: 0.75em;
  overflow: hidden;
  display: grid;
  grid-template-rows: 6px auto;
}
.audio-player .timeline {
  background: white;
  width: 100%;
  position: relative;
  cursor: pointer;
  box-shadow: 0 2px 10px 0 #000 8;
}
.audio-player .timeline .progress {
  background: coral;
  width: 0%;
  height: 100%;
  transition: 0.25s;
}
.audio-player .controls {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  padding: 0 20px;
}
.audio-player .controls > * {
  display: flex;
  justify-content: center;
  align-items: center;
}
.audio-player .controls .toggle-play.play {
  cursor: pointer;
  position: relative;
  left: 0;
  height: 0;
  width: 0;
  border: 7px solid #000 0;
  border-left: 13px solid white;
}
.audio-player .controls .toggle-play.play:hover {
  transform: scale(1.1);
}
.audio-player .controls .toggle-play.pause {
  height: 15px;
  width: 20px;
  cursor: pointer;
  position: relative;
}
.audio-player .controls .toggle-play.pause:before {
  position: absolute;
  top: 0;
  left: 0px;
  background: white;
  content: "";
  height: 15px;
  width: 3px;
}
.audio-player .controls .toggle-play.pause:after {
  position: absolute;
  top: 0;
  right: 8px;
  background: white;
  content: "";
  height: 15px;
  width: 3px;
}
.audio-player .controls .toggle-play.pause:hover {
  transform: scale(1.1);
}
.audio-player .controls .time {
  display: flex;
}
.audio-player .controls .time > * {
  padding: 2px;
}
.audio-player .controls .volume-container {
  cursor: pointer;
  position: relative;
  z-index: 2;
}
.audio-player .controls .volume-container .volume-button {
  height: 26px;
  display: flex;
  align-items: center;
}
.audio-player .controls .volume-container .volume-button .volume {
  transform: scale(0.7);
}
.audio-player .controls .volume-container .volume-slider {
  position: absolute;
  left: -3px;
  top: 15px;
  z-index: -1;
  width: 0;
  height: 15px;
  background: white;
  box-shadow: 0 0 20px #000 a;
  transition: 0.25s;
}
.audio-player .controls .volume-container .volume-slider .volume-percentage {
  background: coral;
  height: 100%;
  width: 75%;
}
.audio-player .controls .volume-container:hover .volume-slider {
  left: -123px;
  width: 120px;
}


/* =================== Custom Css ================ */
/* Receiver Media */
.media_list.row .col-4:nth-child(3) .media-img-list a::after{
  content: attr(some-attribute-name);
  position: absolute;
  height: 100%;
  width: 100%;
  right: 0;
  bottom: 0;
  left: 0;
  top: 0;
  background-color: rgba(0,0,0, 0.7);
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Sender Media */
.sender-media.row .col-4:nth-child(3) .media-img-list a::after{
  content: attr(some-attribute-name);
  position: absolute;
  height: 100%;
  width: 100%;
  right: 0;
  bottom: 0;
  left: 0;
  top: 0;
  background-color: rgba(0,0,0, 0.7);
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Block Section */
.block-contactlist .contacts-li {
  opacity: .5;
}
.block-contact-section {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0;
  font-size: 20px;
}

#click-photo{
  display: block;
  position: absolute;
  top: 50%;
  transform: translate(-50%,-50%);
  left: 50%;
  line-height: 0;
  padding: 5px;
  font-size: 30px;
  border-radius: 5px;
}

.display-4 {
  margin-top: 6px !important;
}

.signin-container {
  background: #262626;
  padding: 35px 20px;
  border-radius: 8px;
}

.mainInput {
  padding: 11px 10px 11px 29px !important;
}

.inputIcon {
  position: absolute;
  left: 10px;
  top: 11px;
  color: #8f9198;
  z-index: 3 !important;
  transition: all 0.2s ease-in-out;
}

.mainInput:focus + .inputIcon {
  color: #9fa0a6;
}

.fs-12 {
  font-size: 12px !important;
}

.login-separator {
  width: 45px;
  height: 3px;
  background: #4ba067;
  margin: 0 auto;
  border-radius: 4px;
  transition: all 0.2s ease-in-out;
}

.login-separator-error {
  background: #a04b4b !important;
}

.colored {
  color: #5049e1 !important;
}

.colored i {
  color: #5049e1 !important;
}

.register-logo {
  max-width: 150px;
}

.correctCheckbox {
  position: relative !important;
  margin-top: 2px !important;
}

.account-type {
  padding: 20px 20px 30px 20px;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
  border-radius: 20px;
}

.account-type img {
  max-width: 90%;
  opacity: 0.7;
  transition: all 0.2s ease-in-out;
}

.account-type h4 {
  color: #495057;
  font-size: 14px;
  font-family: "Cerebri Sans,sans-serif";
  margin-top: 10px;
  margin-bottom: 0px;
  transition: all 0.2s ease-in-out;
}

.account-type:hover img {
  opacity: 0.9;
}

.account-type:hover h4 {
  color: #4843b2 !important;
}

.account-type.active {
  border: 1px solid rgba(72,67,178,0.35);
  background: rgba(72,67,178,0.02);
}

.account-type.active img {
  opacity: 0.9;
}

.account-type.active h4 {
  color: #4843b2;
}

.account-type-icon {
  width: 30px;
  height: 30px;
  color: #fff;
  border-radius: 50%;
  background: #4843b2;
  font-size: 23px;
  text-align: center;
  position: absolute;
  right: -2px;
  bottom: -5px;
  display: none;
}

.account-type.active > .account-type-icon {
  display: block !important;
}

.types-buttons {
  transition: all 0.2s ease-in-out;
}

.scale-types-buttons {
  transform: scale(0.7);
  transition: all 0.2s ease-in-out;
}

.tx-13 {
  font-size: 13px !important;
}

.sms-code-input {
  font-size: 24px;
  letter-spacing: 8px;
}

.accordion-button {
  background: #fff !important;
  box-shadow: none !important;
  transition: all 0.2s ease-in-out;
}

.accordion-button:hover {
  background: #f8f8f8 !important;
  transition: all 0.2s ease-in-out;
}

.accordion-button:after {
  display: none;
}

.accordion-item {
  border: 0px solid !important;
}

.card-title {
  font-size: 14px !important;
  text-transform: uppercase !important;
}

.input-group {
  position: relative;
}

.input-group i {
  position: absolute;
  z-index: 4;
  left: 10px;
  top: 11px;
  color: #9e9e9e;
}

.input-group input {
  border-radius: 2px !important;
  padding: 10px 10px 10px 30px;
}

.input-group textarea {
  border-radius: 2px !important;
  padding: 10px 10px 10px 30px;
}

.input-group input:focus {
  border: 1px solid #d2d1f4;
}

.input-group textarea:focus {
  border: 1px solid #d2d1f4;
}

.input-group input:disabled {
  background: #f6f6f6;
  cursor: not-allowed;
}

.input-label {
  font-size: 12px;
}

.btn-primary i {
  position: relative;
  top: 1px;
}

.tx-12 {
  font-size: 12px !important;
  line-height: 15px;
}

.correct-badge {
  font-size: 11px;
  font-weight: normal;
}

.alert-danger {
  background: #ee335e;
  color: rgba(255,255,255,0.85);
  overflow: hidden;
}

.alert-danger a {
  color: #fff !important;
  font-weight: bold;
}

.alert-danger i {
  font-size: 18px;
}

.alert-icon-container {
  background: #df2752;
  position: absolute;
  height: 100%;
  display: flex;
  align-items: center;
}

.alert-container {
  padding-left: 65px !important;
}

.btn-primary:disabled {
  background: #f0f0f0;
  cursor: not-allowed !important;
  border: 1px solid #e2e2e2;
  color: #717171;
}

.select2-container .select2-selection--single {
  height: 43px;
  padding-left: 26px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 41px;
  color: #888686;
  font-size: 15px; 
}

.select2-selection__placeholder {
  color: #495057 !important;
}

.select2-container--default .select2-selection--single {
  border: 1px solid #cfd4d8;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  top: 9px;
}

.select2-results__options::-webkit-scrollbar {
  width: 16px;
  background-clip: padding-box;
}
.select2-results__options::-webkit-scrollbar-track {
  background-color: #F4F4F4;
  height: 8px;
  background-clip: padding-box;
  border-left: 10px solid rgba(0, 0, 0, 0);
  border-right: 4px solid rgba(0, 0, 0, 0);
  border-top: 12px solid rgba(0, 0, 0, 0);
  border-bottom: 12px solid rgba(0, 0, 0, 0);
}

.select2-results__options::-webkit-scrollbar-thumb {
  background-clip: padding-box;
  background-color: #a5a2cc;
  border-left: 10px solid rgba(0, 0, 0, 0);
  border-right: 4px solid rgba(0, 0, 0, 0);
  border-top: 12px solid rgba(0, 0, 0, 0);
  border-bottom: 12px solid rgba(0, 0, 0, 0);
}

.select2-results__options::-webkit-scrollbar-button {
  display: none;
}

.select2-dropdown {
  border: 0px solid;
  -webkit-box-shadow: 0px 0px 24px -14px rgba(66, 68, 90, 1);
  -moz-box-shadow: 0px 0px 24px -14px rgba(66, 68, 90, 1);
  box-shadow: 0px 0px 24px -14px rgba(66, 68, 90, 1);
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #5049e1;
}

.select2-results__option {
  font-size: 14px;
}

.callendar-icon-select2 {
  top: 12px !important;
}

.rate-client-btn {
  background: #f9f9f9;
  padding: 5px 6px 4px 6px;
  border-radius: 4px;
  transition: all 0.2s ease-in-out;
  -webkit-box-shadow: 0px 0px 24px -17px rgba(0, 0, 0, 1);
  -moz-box-shadow: 0px 0px 24px -17px rgba(0, 0, 0, 1);
  box-shadow: 0px 0px 24px -17px rgba(0, 0, 0, 1);
  color: #333333;
}

.rate-client-btn:hover {
  background: #fff;
}

.chat-status-active {
  background-color: #44a769 !important;
}

.payu-order {
  max-width: 100px;
}

.menu-tooltip-overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  background: rgba(0,0,0,0.65);
  z-index: 8;
}

@media (min-width: 992px){
  .menu-tooltip-container {
    position: absolute;
    width: auto;
    max-width: 250px;
    min-width: 250px;
    left: 84px;
    top: 10px;
    background: #2e2e2e;
    font-size: 12px;
    color: #fff;
    border-radius: 3px;
    -webkit-box-shadow: 0px 0px 24px -15px rgba(0, 0, 0, 1);
    -moz-box-shadow: 0px 0px 24px -15px rgba(0, 0, 0, 1);
    box-shadow: 0px 0px 24px -15px rgba(0, 0, 0, 1);
  }

  .menu-tooltip-container-text {
    position: relative;
    padding: 15px 25px 15px 15px;
  }

  .menu-tooltip-container-text a {
    text-decoration: none;
    color: #fff;
    position: absolute;
    top: 4px;
    right: 4px;
  }

  .menu-tooltip-container:after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-width: 10px;
    border-style: solid;
    border-color: transparent #2e2e2e transparent transparent;
    top: 11px;
    left: -18px;
  }
}

@media (max-width: 991px){
  .menu-tooltip-container {
    position: absolute;
    width: auto;
    max-width: 250px;
    min-width: 250px;
    left: 50%;
    bottom: 70px;
    transform: translateX(-50%) !important;
    background: #2e2e2e;
    font-size: 12px;
    color: #fff;
    border-radius: 3px;
    -webkit-box-shadow: 0px 0px 24px -15px rgba(0, 0, 0, 1);
    -moz-box-shadow: 0px 0px 24px -15px rgba(0, 0, 0, 1);
    box-shadow: 0px 0px 24px -15px rgba(0, 0, 0, 1);
  }

  .menu-tooltip-container-text {
    position: relative;
    padding: 15px 25px 15px 15px;
  }

  .menu-tooltip-container-text a {
    text-decoration: none;
    color: #fff;
    position: absolute;
    top: 4px;
    right: 4px;
  }

  .menu-tooltip-container:after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-width: 10px;
    border-style: solid;
    border-color: transparent #2e2e2e transparent transparent;
    left: 50%;
    transform: rotate(-90deg) translateY(-50%) !important;
    bottom: -18px;
  }
}